package ui;

import javax.swing.*;

import listener.LayerChangeEvent;
import listener.LayerListener;

@SuppressWarnings("serial")
public class LayerLabel extends JLabel implements LayerListener {

	public LayerLabel(final String string) {
		super(string);
	}

	public void layerChanged(final LayerChangeEvent e) {
		this.setText("" + e.getSource().getLayer());
	}

}
